<?php
/**
 * Model dla klasy MfProductLink
 *
 * @author ModGen
 */

class MfProductLink extends DataObject{


	/**
	 * nazwa tabeli
	 */
	static $tableName = 'mf_product_link';

	/**
	 * nazwa klucza tabeli
	 */
	static $classTablePK = 'id_mf_product_link';

	/**
	 * nazwa klasy
	 */
	static $className = __CLASS__;

	/**
	 * tablica mapująca pola klasy
	 */
	static $fields = array(
		'id_mf_product_link' => 'id',
		'source_type' => 'sourceType',
		'id_source' => 'idSource',
		'destination_type' => 'destinationType',
		'id_destination' => 'idDestination',
		'weight' => 'weight',
		'publication' => 'publication',
		'lang' => 'lang'
	);


	protected $id;
	private $sourceType;
	private $idSource;
	private $destinationType;
	private $idDestination;
	private $weight;
	private $publication;
	private $lang;



	// -- Konstruktor --


	function __construct( $id = -1 , $sourceType = null, $idSource = null, $destinationType = null, $idDestination = null, $weight = null, $publication = null, $lang = null){
		$this->id = $id;
		$this->sourceType = $sourceType;
		$this->idSource = $idSource;
		$this->destinationType = $destinationType;
		$this->idDestination = $idDestination;
		$this->weight = $weight;
		$this->publication = $publication;
		$this->lang = $lang;
	}



	// -- Get-y i Set-y --

	public function getId(){
		return $this->id;
	}

	public function setId($id){
		$this->id = $id;
	}

	
	public function getSourceType(){
		return $this->sourceType;
	}

	public function setSourceType($sourceType){
		$this->sourceType = $sourceType;
	}

	
	public function getIdSource(){
		return $this->idSource;
	}

	public function setIdSource($idSource){
		$this->idSource = $idSource;
	}

	
	public function getDestinationType(){
		return $this->destinationType;
	}

	public function setDestinationType($destinationType){
		$this->destinationType = $destinationType;
	}

	
	public function getIdDestination(){
		return $this->idDestination;
	}

	public function setIdDestination($idDestination){
		$this->idDestination = $idDestination;
	}

	
	public function getWeight(){
		return $this->weight;
	}

	public function setWeight($weight){
		$this->weight = $weight;
	}

	
	public function getPublication(){
		return $this->publication;
	}

	public function setPublication($publication){
		$this->publication = $publication;
	}

	
	public function getLang(){
		return $this->lang;
	}

	public function setLang($lang){
		$this->lang = $lang;
	}

	




	/**
	* Pobiera nazwę tabeli reprezentującej obiekt w SQL
	* @return string
	*/
	public  function GetTableName(){
	return self::$tableName;
	}

	/**
	* Pobiera nazwę klucza głównego tabeli
	* @return string
	*/
	public function GetClassTablePK() {
		return self::$classTablePK;
	}

	/**
	* Pobiera tablice mapującą pola klasy na pola tabeli
	* @return array
	*/
	public  function GetFields(){
		return self::$fields;
	}

	/**
	* Pobiera nazwę klasy
	* @return string
	*/
	public  function GetClassName(){
		return self::$className;
	}



}

?>